VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
StringResult Class Referencefinal

`#include <testbase.h>`

Inheritance diagram for StringResult:

## Public Member Functions
const std::string & | get () const
void | setText (const char8 *text) override
tresult | queryInterface (const TUID _iid, void **obj) override
uint32 | addRef () override
uint32 | release () override

## Additional Inherited Members
Static Public Attributes inherited from IStringResult
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Member Function Documentation

## ◆ get()

const std::string & get | ( |  | ) | const
| inline

## ◆ setText()

void setText | ( | const char8 * | text | ) |
| inline override virtual

Implements IStringResult.

## ◆ queryInterface()

tresult queryInterface | ( | const TUID | _iid,
|  | void ** | obj )
| inline override virtual

Implements FUnknown.

## ◆ addRef()

uint32 addRef | ( |  | ) |
| inline override virtual

Implements FUnknown.

## ◆ release()

uint32 release | ( |  | ) |
| inline override virtual

Implements FUnknown.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.